<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>it1901.gitlabsupport</groupId>
  <artifactId>gitlab-course-maven-plugin-example-tdt4100-2021</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <packaging>pom</packaging>
  
  <build>
  	<plugins>
  		<plugin>
			<groupId>it1901.gitlabsupport</groupId>
			<artifactId>gitlab-course-maven-plugin</artifactId>
			<version>0.0.1-SNAPSHOT</version>
			<configuration>
				<gitlabInstance>https://gitlab.stud.idi.ntnu.no</gitlabInstance>
				<gitlabPersonalAccessToken>${gPAT}</gitlabPersonalAccessToken>
				<courseStudentsProjectsOwnerPath>tdt4100/v2021/student_projects</courseStudentsProjectsOwnerPath>
				<studentProjectNameFormat>TDT4100-prosjekt-%s</studentProjectNameFormat>
			</configuration>
			<!-- 
			<executions>
				<execution>
					<configuration>
					</configuration>
					<goals>
						<goal>list-students</goal>
					</goals>
				</execution>
			</executions>
			 -->
  		</plugin>
  	</plugins>
  </build>
</project>
